/********** Template CSS **********/
:root {
    --primary: #393646;
    --secondary: #8D9297;
    --light: #F8F9FA;
    --dark: #182333;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-outline-primary:hover {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}

.navbar .navbar-nav .nav-link {
    margin-left: 30px;
    padding: 25px 0;
    color: var(--secondary);
    font-weight: 500;
    text-transform: uppercase;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-left: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        margin-top: 25px;
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        right: 0;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header ***/
.carousel-caption {
    display: flex;
    align-items: center;
    text-align: start;
    background: rgba(0, 0, 0, .65);
    z-index: 1;
    width: 100%;
    top: 0;
    left: 0 !important;
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 4rem;
    height: 4rem;
    background-color: var(--dark);
    border: 15px solid var(--dark);
    border-radius: 50px;
}

.carousel-caption .breadcrumb-item+.breadcrumb-item::before {
    content: "\f111";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--primary);
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 450px;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .carousel-control-prev-icon,
    .carousel-control-next-icon {
        width: 3rem;
        height: 3rem;
        border-width: 12px;
    }
}

.page-header {
    background: linear-gradient(rgba(0, 0, 0, .65), rgba(0, 0, 0, .65)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: #999999;
}


/*** Facts ***/
.facts-overlay {
    position: absolute;
    padding: 30px;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: rgba(0, 0, 0, .65);
}

.facts-overlay h1 {
    font-size: 120px;
    color: transparent;
    -webkit-text-stroke: 2px #fff;
}

.facts-overlay a:hover {
    color: var(--primary) !important;
}


/*** Service ***/
.service-text::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    background: var(--primary);
    opacity: 0;
    transition: .5s;
}

.service-item:hover .service-text::before {
    height: 100%;
    opacity: 1;
}

.service-text * {
    position: relative;
    transition: .5s;
    z-index: 1;
}

.service-item:hover .service-text * {
    color: #FFFFFF !important;
}


/*** Appointment ***/
.appointment {
    background: linear-gradient(rgba(0, 0, 0, .65), rgba(0, 0, 0, .65)), url(../img/carousel-2.jpg) center center no-repeat;
    background-size: cover;
}


/*** Team ***/
.team-text {
    position: absolute;
    width: 75%;
    bottom: 30px;
    left: 0;
    transition: .5s;
}

.team-item:hover .team-text {
    width: 100%;
}

.team-text * {
    transition: .5s;
}

.team-item:hover .team-text * {
    letter-spacing: 2px;
}


/*** Testimonial ***/
.testimonial-carousel .owl-item img {
    width: 100px;
    height: 100px;
}

.testimonial-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
    justify-content: start;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    margin-right: 15px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--dark);
    border: 2px solid var(--primary);
    border-radius: 50px;
    font-size: 18px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: #FFFFFF;
    background: var(--primary);
}


/*** Footer ***/
.footer {
    color: #999999;
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #999999;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: #999999;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .copyright a:hover {
    color: var(--primary);
}

#btn-zap {
    position: fixed;
    bottom: 20px;
    width: 100%;
    display: flex;
    justify-content: center;
    z-index: 998;
}

#btn-zap img {
    width: 300px;
}


@media (max-width: 768px) {

    #btn-zap img {
        width: 300px;
    }

}

@media (max-width: 576px) {

    #btn-zap img {
        width: 250px;
    }

}


#area-produto {
    padding: 30px 0px;
}

.imagem-produto {
    cursor: pointer;
}

.esconder {
    opacity: 0;
}

.voltar {
    opacity: 1;
    transition: opacity 0.5s linear;
}

.selecionado {
    border: 8px solid #fd7e14;

}

#imagem-destaque {
    transition: opacity 0.5s linear;
    width: 100%;
}

#logo-menu {
    width: 300px;
}

#logo-rodape {
    width: 250px;
}

@media (max-width: 576px) {
    #logo-menu {
        width: 200px;
    }

    #logo-rodape {
        width: 150px;
    }
}

#botao-modal-zap {
    background-color: transparent;
    outline: none;
    border: none;
    font-size: 2rem;
}

#header-carousel-home {
    height: 800px;
}

#header-carousel-home img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#header-carousel-home div.cta,
#area-produto div.cta {
    margin-top: 70px;
}

#header-carousel-home div.cta a,
#area-produto div.cta a {
    background-color: #08A045;
    color: #fff;
    font-weight: bold;
    font-size: 2rem;
    padding: 15px;
    border-radius: 100px;
    display: inline-block;
    text-align: center;
}

#header-carousel-home .carousel-item {
    height: 800px;
}

@media (max-width: 768px) {

    #header-carousel-home div.cta a,
    #area-produto div.cta a {
        font-size: 1.5rem;
    }

    #header-carousel-home .carousel-item {
        height: 600px;
    }
}

@media (max-width: 375px) {

    #header-carousel-home div.cta a,
    #area-produto div.cta a {
        font-size: 1.3rem;
    }

}

.name-input {
    display: none;
    visibility: hidden;
}

/* DEPOIMENTOS */
#prova {
    padding: 50px 0;
    padding-bottom: 30px;
    background-color: var(--bg-section);
    color: #000;
}

#prova div.title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 20px;
    flex-wrap: wrap-reverse;
}

#prova div.title img {
    width: 300px;
    filter: drop-shadow(0px 0px 0px #000);
    margin-bottom: 20px;
}

div.area-depoimentos {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

div.card-social {
    padding: 10px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border-radius: 5px;
    width: 260px;
    margin-bottom: 40px;
    display: flex;
    flex-wrap: wrap;
    background-color: #fff;
    color: #000;
}

div.card-social div.top-content {
    width: 100%;
}

div.card-social div.avaliacao p {
    font-size: .9rem;
    width: 100%;
}

div.card-social div.user-icon {
    display: flex;
    align-self: flex-end;
}

div.card-social img {
    width: 40px !important;
    height: 40px;
}

div.card-social .user-icon {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

div.card-social .user-icon h4 {
    margin-bottom: 0;
    margin-top: 0;
    margin-left: 10px;
    font-size: 1rem;
}

div.card-social i {
    color: #FFDE00;
    filter: drop-shadow(1px 0px 0px #F57328);
    margin-bottom: 10px;
}



@media (max-width: 1200px) {
    div.card-social {
        width: 450px;
        margin-bottom: 30px;
    }

    div.card-social .user-icon {
        min-height: 100px;
    }

    div.card-social div.top-content {
        width: 100%;
    }
}


@media (max-width: 992px) {
    div.card-social {
        width: 320px;
    }

    header div.form-container div.main-textos {
        padding-bottom: 0px;
    }

    header {
        min-height: 1100px;
    }
}

@media (max-width: 768px) {
    div.card-social {
        width: 250px;
    }

    div.card-social .user-icon {
        min-height: 80px;
    }
}


@media (max-width: 576px) {
    div.card-social {
        width: 230px;
    }

    div.card-social div.avaliacao p {
        font-size: .7rem;
    }


}


@media (max-width: 495px) {
    div.card-social {
        width: 190px;
    }
}

@media (max-width: 495px) {
    div.card-social {
        width: 100%;
    }

    div.card-social div.avaliacao p {
        font-size: .9rem;
    }

    div.card-social .user-icon {
        min-height: none;
    }

    div.card-social .user-icon h4 {
        font-size: 1rem;
    }

}

/* TOP MENU */
#top-menu {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

#top-menu img {
    width: 200px;

}

#top-menu .navbar-nav {
    margin-left: auto;
}

/* ESPAÇO DO ARQUITETO */

#espaco-arquiteto {
    background-image: linear-gradient(rgba(0, 0, 0, .6), rgba(0, 0, 0, .6)), url(/assets/img/arquiteto.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 40px 0;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.contato-zap {
    background-color: #08A045;
    color: #fff;
    font-size: 1.2rem;
    padding: 5px 10px;
    border-radius: 100px;
    display: inline-block;
    text-align: center;
    margin-top: 20px;
}

.contato-zap:hover {
    color: #fff;
}

#espaco-arquiteto .container h2,
#espaco-arquiteto .container p {
    color: #fff;
}

#espaco-arquiteto .container .cta a {
    background-color: #08A045;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    display: inline-block;
    padding: 10px 20px;
    font-size: 1.3rem;
    border-radius: 50px;
    border: 4px solid #fff;
    transition: all .3s;
}

#espaco-arquiteto .container .cta a:hover {
    scale: 1.03;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

@media (max-width:576px) {

    #espaco-arquiteto .container {
        padding: 40px;

    }

    #espaco-arquiteto .container .cta a {
        font-size: 1rem;
    }
}



#header-carousel-home .area-formulario {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#header-carousel-home .area-formulario .textos {
    width: 50%;
}

#header-carousel-home .area-formulario form {
    padding: 20px;
    width: 30%;
    background-color: rgba(255, 255, 255, .5);
}

@media (max-width: 992px) {
    #header-carousel-home .area-formulario {
        flex-wrap: wrap;
    }

    #header-carousel-home .area-formulario .textos {
        width: 100%;
    }

    #header-carousel-home {
        height: 900px;
    }

    #header-carousel-home .carousel-item {
        height: 900px;
    }

    #header-carousel-home .carousel-item img {
        object-fit: cover;
    }

    #header-carousel-home .area-formulario form {
        width: 100%;
    }
}

#todos-produtos .contato-zap {
    background-color: #08A045;
    color: #fff;
    font-size: 1rem;
    padding: 5px 10px;
    border-radius: 100px;
    display: inline-block;
    text-align: center;
    margin-top: 20px;
}

#todos-produtos .cta a {
    background-color: #08A045;
    color: #fff;
    font-weight: bold;
    font-size: 2rem;
    padding: 15px;
    border-radius: 100px;
    display: inline-block;
    text-align: center;
    margin-top: 20px;
}


#barra-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

#barra-top img {
    width: 200px;
}

#barra-top a {
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1.3rem;
    padding: 10px 50px;
    color: #fff;
    border-radius: 5px;
    display: inline-block;
    margin: 0 5px;
    transition: all .3s;
}

#barra-top a:hover {
    scale: 1.03;
}

#barra-top a:nth-child(1) {
    background-color: #00bb2d;
}

#barra-top a:nth-child(2) {
    background-color: #ffb522;
}

@media (max-width: 768px) {
    #barra-top img {
        width: 100px;
    }

    #barra-top a {
        font-size: 1rem;
        padding: 5px 10px;
        margin: 0 5px;
    }
}

@media (max-width: 450px) {
    #barra-top a {
        font-size: .8rem;
    }
}

@media (max-width: 375px) {
    #barra-top a {
        font-size: .7rem;
        margin: 0 2px;
    }
}

header {
    position: relative;
}

header .area-form {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    z-index: 10;
}


header form {
    width: 300px;
    margin-right: 30px;
    text-align: center;
    background-color: #fff;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    padding: 10px;
    color: #000;
}

header form input,
header form textarea {
    padding: 10px !important;
}

header form button {
    background-color: var(--primary);
    border-radius: 50px;
    color: #fff;
    font-weight: bold;
    display: inline-block;
    width: 100%;
    text-align: center;
    padding: 10px;
    font-size: 1rem;
    text-transform: uppercase;
    border: none;
}

header h2 {
    font-size: .9rem;
}

header form label {
    color: #fff !important;
    /* Cor desejada para o placeholder */
    opacity: 1;
    /* Se precisar ajustar a opacidade */
}

@media (max-width: 992px) {
    header form {
        width: 100%;
        padding: 30px;
    }

    header .area-form {
        position: initial;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        display: flex;
        background-color: var(--terc);
        justify-content: flex-end;
        align-items: center;
        z-index: 10;
    }

    header form {
        background-color: #f7f7f7;
        box-shadow: none;
    }
}


.btn-whatsapp-pulse {
    background: #25d366;
    color: white;
    z-index: 90;
    right: 40px;
    bottom: 20px;




    position: fixed;
    font-size: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 0;
    height: 0;
    padding: 35px;
    text-decoration: none;
    border-radius: 50%;
    animation-name: pulse;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-iteration-count: infinite;
    cursor: pointer;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}